LibreOffice: XXMLSecurityContext Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XXMLSecurityContext Interface Reference

Interface of XML security context. More...

`import"XXMLSecurityContext.idl";`

Inheritance diagram for XXMLSecurityContext:

## Public Member Functions
long | addSecurityEnvironment ([in] XSecurityEnvironment aSecurityEnvironment) raises ( com::sun::star::security::SecurityInfrastructureException )
| Add personal security environment , and return the index of the added environment. More...
long | getSecurityEnvironmentNumber ()
| Get the number of security environments. More...
com::sun::star::xml::crypto::XSecurityEnvironment | getSecurityEnvironmentByIndex ([in] long index)
| Get personal security environment. More...
com::sun::star::xml::crypto::XSecurityEnvironment | getSecurityEnvironment ()
| An handy method to get the first personal security environment. More...
long | getDefaultSecurityEnvironmentIndex ()
| Get the ID of the internal security environment. More...
void | setDefaultSecurityEnvironmentIndex ([in] long index)
| set the ID of the internal security environment More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface of XML security context.

This interface specifies a certain signature context. By signature context, the signer or verifier retrieves key specification.

## Member Function Documentation

## ◆ addSecurityEnvironment()

long addSecurityEnvironment | ( | [in] XSecurityEnvironment | aSecurityEnvironment | ) |
raises | ( | com::sun::star::security::SecurityInfrastructureException
| ) |  |

Add personal security environment , and return the index of the added environment.

## ◆ getDefaultSecurityEnvironmentIndex()

long getDefaultSecurityEnvironmentIndex | ( |  | ) |

Get the ID of the internal security environment.

## ◆ getSecurityEnvironment()

com::sun::star::xml::crypto::XSecurityEnvironment getSecurityEnvironment | ( |  | ) |

An handy method to get the first personal security environment.

In XMLSec/NSS, the first personal security environment should be the "internal slot"

## ◆ getSecurityEnvironmentByIndex()

com::sun::star::xml::crypto::XSecurityEnvironment getSecurityEnvironmentByIndex | ( | [in] long | index | ) |

Get personal security environment.

## ◆ getSecurityEnvironmentNumber()

long getSecurityEnvironmentNumber | ( |  | ) |

Get the number of security environments.

## ◆ setDefaultSecurityEnvironmentIndex()

void setDefaultSecurityEnvironmentIndex | ( | [in] long | index | ) |

set the ID of the internal security environment

The documentation for this interface was generated from the following file:

- com/sun/star/xml/crypto/XXMLSecurityContext.idl